Skip to content

Installment Refunds

This object represents refunds. Various situations require full or partial refunds of a loan. Depending on the refund amount and whether the borrower has made payments, a refund may also trigger a reimbursement to the borrower.

Get refunds

Request

Returns a list of all prior refunds for the loan, as well as the remaining eligible refund amount.

Security
oauth2(Required scopes: loan.refund:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

GET
/people/{personId}/loans/{loanId}/refunds
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/refunds' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Loan Refunds

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(LoanRefundV2CollectionResponse)
Response
{ "message": "string", "status": 0, "data": { "eligibleRefundAmount": 0.1, "refunds": [ … ] } }